stack-1.4.0: The Haskell Tool Stack

Safe Haskell | Safe
Language | Haskell2010

Data.Attoparsec.Args

Description

Parsing of stack command line arguments

Synopsis

- data EscapingMode
  - = Escaping
  - | NoEscaping
- argsParser :: EscapingMode -> Parser [String]
- parseArgs :: EscapingMode -> Text -> Either String [String]

# Documentation

data EscapingMode #

Mode for parsing escape characters.

Constructors

Escaping |
NoEscaping |

Instances

Enum EscapingMode # |
Methods succ :: EscapingMode -> EscapingMode # pred :: EscapingMode -> EscapingMode # toEnum :: Int -> EscapingMode # fromEnum :: EscapingMode -> Int # enumFrom :: EscapingMode -> [EscapingMode] # enumFromThen :: EscapingMode -> EscapingMode -> [EscapingMode] # enumFromTo :: EscapingMode -> EscapingMode -> [EscapingMode] # enumFromThenTo :: EscapingMode -> EscapingMode -> EscapingMode -> [EscapingMode] #
Eq EscapingMode # |
Methods (==) :: EscapingMode -> EscapingMode -> Bool # (/=) :: EscapingMode -> EscapingMode -> Bool #
Show EscapingMode # |
Methods showsPrec :: Int -> EscapingMode -> ShowS # show :: EscapingMode -> String # showList :: [EscapingMode] -> ShowS #

argsParser :: EscapingMode -> Parser [String] #

A basic argument parser. It supports space-separated text, and string quotation with identity escaping: x -> x.

parseArgs :: EscapingMode -> Text -> Either String [String] #

Parse arguments using `argsParser`.